import spidev

__author__ = "diego"
__copyright__ = "Copyright 2015, Argotec SL"
__license__ = "?"
__version__ = "0.1"
__maintainer__ = "Diego Fidalgo"
__email__ = "dfidalgo@argotec.es"
__status__ = "Development"


class SPI:
    def __init__(self, bus, device):
        self.spi = spidev.SpiDev()
        self.bus = bus
        self.device = device

    def open(self):
        self.spi.open(self.bus, self.device)

    def close(self):
        self.spi.close()

    def transfer(self, values):
        return self.spi.xfer(values)
