from distutils.core import setup

setup(
    name='iotgate',
    version='0.1.4-tfg',
    packages=['iotgate', 'iotgate.core', 'iotgate.core.model', 'iotgate.adaptors', 'iotgate.adaptors.argotec',
              'iotgate.deployment', 'iotgate.communicators',
              'iotgate.communicators.buses', 'iotgate.communicators.drivers', 'iotgate.communicators.drivers.microchip',
              'iotgate.communicators.transport'],
    url='',
    license='',
    author='Diego Fidalgo',
    author_email='diego.fidalgo@alumnos.uva.es',
    description="""Trabajo de fin de Grado: IoTGate, framework para integración de redes de sensores y actuadores
                   con desarrollos de Internet de las Cosas.
                """

    , requires=['sqlalchemy']
)
